QCA::Synchronizer Class Reference

`#include <QtCrypto>`

Collaboration diagram for QCA::Synchronizer:
[legend]

## Public Member Functions

void | conditionMet ()
| Synchronizer (QObject *parent)
bool | waitForCondition (int msecs=-1)

## Detailed Description

Enable synchronization between two threads.

Examples
  tlssocket.cpp.

## Constructor & Destructor Documentation

## Synchronizer()

QCA::Synchronizer::Synchronizer | ( | QObject * | parent | ) |

Standard constructor.

Parameters

  parent | the parent object to this object

References Synchronizer().

Referenced by conditionMet(), and Synchronizer().

## Member Function Documentation

## waitForCondition()

bool QCA::Synchronizer::waitForCondition | ( | int | msecs = -1 | ) |

Call to pause execution in this thread.

This function will block until conditionMet() is called.

Parameters

  msecs | the time to wait before proceeding. The default timeout value (-1) indicates to wait indefinitely.

Examples
  tlssocket.cpp.

## conditionMet()

void QCA::Synchronizer::conditionMet | ( |  | ) |

Call to continue execution in the paused thread.

Examples
  tlssocket.cpp.

References Synchronizer().

The documentation for this class was generated from the following file:

- qca_support.h